Participant APIs | REST

Selected Version:
Download Open API File

View receipt

https://api.wealthcare.com/participant/services/participant/receipts/{tpaId}/{employerId}/{participantId}

View a receipt.

Request

  • tpaId string Required

    A unique identifier used to identify your admin instance. This value is system generated when the admin instance was created.

  • employerId string Required

    Unique identifier for the employer. Note: When the employer was created, WealthCare Admin assigned the 3-character prefix; you assigned the remaining characters.

  • participantId string Required

    Unique identifier for the participant user whose feature information is being retrieved.

  • filekey integer <int32> Required

    Unique System Generated key used to identify an image file uploaded by client.

  • decrypt integer <int32>

    Indicate if the URI parameters are encrypted or not. Use 1 for encrypted, 0 for decrypted (default is 0). This affects how the API interprets the incoming identifiers.

Response

  • FileKey integer <int32>

    This is a value to be generated by the system when the file is uploaded into WCA. Send 0 on the Upload Manual Claim Receipt request.

  • FileFormat integer <int32>

    Refers to format of receipt file uploaded: Unknown = 0, Fixed = 1, CSV = 2, XML = 4, PDF = 8, QIF = 16, Excel = 32, JPEG/JPG = 64, GIF = 128, BMP =256, FixedNacha = 512, Delimited = 1024, Word = 2048, PNG = 4096, TIFF = 8192, ExtFileFormat = 16384

  • ContentLength integer <int32>

    The file length, in bytes.

  • ContentType string

    The MIME content type of the uploaded file.

  • FileName string

    The name of the receipt file, including the directory path.

  • InputStream string <byte>

    A byte array representing the contents of the file for the reciept.

  • Base64 string

    The string representation in Base 64 of the file content. You will need to decode this to display the image.

  • FileKey integer <int32>

    This is a value to be generated by the system when the file is uploaded into WCA. Send 0 on the Upload Manual Claim Receipt request.

  • FileFormat integer <int32>

    Refers to format of receipt file uploaded: Unknown = 0, Fixed = 1, CSV = 2, XML = 4, PDF = 8, QIF = 16, Excel = 32, JPEG/JPG = 64, GIF = 128, BMP =256, FixedNacha = 512, Delimited = 1024, Word = 2048, PNG = 4096, TIFF = 8192, ExtFileFormat = 16384

  • ContentLength integer <int32>

    The file length, in bytes.

  • ContentType string

    The MIME content type of the uploaded file.

  • FileName string

    The name of the receipt file, including the directory path.

  • InputStream string <byte>

    A byte array representing the contents of the file for the reciept.

  • Base64 string

    The string representation in Base 64 of the file content. You will need to decode this to display the image.

Response Headers
No response yet.
Response Body
No response yet.
Request
Response
{
  "FileKey": 851,
  "FileFormat": 64,
  "ContentLength": 55008,
  "ContentType": "",
  "FileName": "Blank Receipt.jpg",
  "InputStream": "",
  "Base64": "/9j/4AAQSkZJRgABAQAAAQABAAD/2wBDAAUDBAQEAwUEBAQFBQUGBwwIBwcHBw8LCwkMEQ8SEhEPERETFhwXExQaFRERGCEYGh0dHx8fExciJCIeJBweHx7/2wBDAQUFBQc....."
}

AI Assistant Preview

Generating response...